#import <Cocoa/Cocoa.h>

@class ASAlarm;

@interface ASAlarmWindowController : NSWindowController <NSWindowDelegate>

@property (retain) ASAlarm *alarm;

@property (retain) NSDate *activationDate;
@property (retain) NSURL *selectedURL;
@property (retain) NSString *message;

@property (weak) IBOutlet NSPathControl *filePathControl;
@property (weak) IBOutlet NSDatePicker *textualDatePicker;

- (id)initWithAlarm:(ASAlarm *)alarm;

- (IBAction)resetFilePath:(id)sender;
- (IBAction)browse:(id)sender;
- (IBAction)changeTime:(id)sender;

- (IBAction)activate:(id)sender;
- (IBAction)cancel:(id)sender;
- (IBAction)remove:(id)sender;

@end
